Bug 35635 - Missing basic UCR variables
Missing basic UCR variables
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 4.0
All Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Philipp Hahn
Drees Dormann
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-18 20:07 CEST by Philipp Hahn
Modified: 2014-11-26 06:54 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2014-08-18 20:07:15 CEST
A newly installed UCS-4.0-0 is missing the following UCR variables:
version/version=4.0
version/patchlevel=0
repository/online=true
repository/online/server=testing.software-univention.de

Also check currently broken "repository/online/component/--errata/"* due to missing version number.
Comment 1 Philipp Hahn univentionstaff 2014-08-19 09:02:37 CEST
See base/univention-installer/scripts/28_postconfigure_config_registry.sh for more UCRVs:
 create/home/share=true
 ldap/position=$ldap_base
 ldap/server/port=7389
 ldap/master/port=7389
 ldap/server/type=master | slave
 version/erratalevel=0
 repository/online/errata/start=0
Comment 2 Philipp Hahn univentionstaff 2014-08-19 11:01:56 CEST
(In reply to Philipp Hahn from comment #0)
> A newly installed UCS-4.0-0 is missing the following UCR variables:
> version/version=4.0
> version/patchlevel=0
> repository/online=true
> repository/online/server=testing.software-univention.de
> 
> Also check currently broken "repository/online/component/--errata/"* due to
> missing version number.

(In reply to Philipp Hahn from comment #1)
> See base/univention-installer/scripts/28_postconfigure_config_registry.sh
>  version/erratalevel=0

r52793 | Bug #35312, Bug #35635 updater: Updates for UCS-4
Package: univention-updater
Version: 10.0.0-6.1269.201408191050
Branch: ucs_4.0-0
Comment 3 Philipp Hahn univentionstaff 2014-08-20 09:06:46 CEST
r52806 | Bug #35635 base: Remove old codenames
 version/codename?Walle (Bug #35312)
r52842 | Bug #35635 server: Set server/role

Package: univention-system-setup
Version: 8.0.21-1.637.201408191723
Branch: ucs_4.0-0
Comment 4 Philipp Hahn univentionstaff 2014-08-25 16:55:10 CEST
r53006 | Bug #35635 server: Fix UCR variable quoting

Package: univention-server
Version: 10.0.1-3.210.201408251639
Branch: ucs_4.0-0
Comment 5 Drees Dormann univentionstaff 2014-08-26 16:01:19 CEST
ok
Comment 6 Stefan Gohmann univentionstaff 2014-11-26 06:54:10 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".